# 2012-03-07. Calculates mean of log(pop params) over tree at each MCMC sample,
# then finds HPD etc for this statistic. For NET and MUL.

library(coda)

MULparamsamples <- read.table(data.dpath <- "C:/Users/Graham/AAA/Programming/GoteborgReal/Pachycladon-Joly-etal/MULsampledparams.txt", header=TRUE, skip=2)
NETparamsamples <- read.table(data.dpath <- "C:/Users/Graham/AAA/Programming/GoteborgReal/Pachycladon-Joly-etal/NET-sampledparams.txt", header=TRUE, skip=2)

totalnsmps <- nrow(MULparamsamples)
stopifnot(totalnsmps == nrow(NETparamsamples))
burnin <- as.integer(ceiling(totalnsmps/2))

MULsmps <- MULparamsamples[burnin:totalnsmps, ]
NETsmps <- NETparamsamples[burnin:totalnsmps, ]
nsmps <- nrow(MULsmps)




MULbranch.meanpops <- rep(0, 52)
NETbranch.meanpops <- rep(0, 29)

MULmeanlogpop <- rep(0, nsmps)
MULnpopparams <- length(MULbranch.meanpops)
for (pp in 1:MULnpopparams) {
  pop.pp <- MULsmps[, paste("mulSpeciesTree.splitPopSize", pp, sep="")]
  logpop.pp <- log(pop.pp)
  MULmeanlogpop <- MULmeanlogpop + logpop.pp
  }
MULmeanlogpop  <- MULmeanlogpop / MULnpopparams
summary(MULmeanlogpop)
HPDinterval(as.mcmc(MULmeanlogpop))


NETmeanlogpop <- rep(0, nsmps)
NETnpopparams <- length(NETbranch.meanpops)
for (pp in 1:NETnpopparams) {
  pop.pp <- NETsmps[, paste("apspnetwork.splitPopSize", pp, sep="")]
  logpop.pp <- log(pop.pp)
  NETmeanlogpop <- NETmeanlogpop + logpop.pp
  }
NETmeanlogpop  <- NETmeanlogpop / NETnpopparams
summary(NETmeanlogpop)
HPDinterval(as.mcmc(NETmeanlogpop))



par(mfcol=c(2,1))
hist(MULmeanlogpop, breaks=20)
hist(NETmeanlogpop, breaks=30)

