
setwd("C:/Users/Graham/AAA/Programming/Goteborg/AlloppRcode")

library(ape)

source("AlloppSim_5beastxml_toplevel.r")
source("AlloppSim_6beastxml_bits.r")

#########################################################################
#########################################################################
#########################################################################


# directory for input and output
data.dpath <- "C:/Users/Graham/AAA/Programming/GoteborgReal/Pachycladon-Joly-etal/"

# Input data
fpath.taxatable <- "APLtaxa.txt"
alignmentnames <- c("M3403-CHS-APL", "M3400-PRK-APL", "M3401-MS-APL", "M3402-CAD5-APL", "M3404-MtN21-APL")

# BEAST information
beastXMLfilename <- "Pachy-APL.XML"

beast.chain.length <- "10000000"
beast.screen.logevery <- "10000"
beast.params.logevery <- "1000"
beast.gtrees.logevery <- "1000"
beast.multree.logevery <- "1000"
beast.dbugtune.logevery <- "10000"

# BEAST output file names
sampledgtrees.fnamebase <- "df-sampledgtrees"
sampledmultrees.fname <- "df-sampledmultrees.txt"
sampledparams.fname <- "df-sampledparams.txt"
DBUGTUNE.fname <- "df-DBUGTUNE.txt"



#########################################################################
#########################################################################
#########################################################################



beastNETorMULxmlinfo <- list(
    data.dpath=data.dpath,
    fpath.taxatable=fpath.taxatable,
    alignmentnames=alignmentnames,
    beastXMLfilename=beastXMLfilename,
    beast.chain.length=beast.chain.length,
    beast.screen.logevery=beast.screen.logevery,
    beast.params.logevery=beast.params.logevery,
    beast.gtrees.logevery=beast.gtrees.logevery,
    beast.multree.logevery=beast.multree.logevery,
    beast.dbugtune.logevery=beast.dbugtune.logevery,
    sampledgtrees.fnamebase=sampledgtrees.fnamebase,
    sampledmultrees.fname=sampledmultrees.fname,
    sampledparams.fname=sampledparams.fname, 
    DBUGTUNE.fname=DBUGTUNE.fname)


make.beastxml.MULandNET.forRealData(beastNETorMULxmlinfo)

#########################################################################
#########################################################################
#########################################################################

