
# Converts FASTA files to NEX, and merges/renames (sub)species

library(ape)


RPA2 <- read.dna(file="C:/AAA/Programming/GoteborgReal/Silene/RPA2.fas", format = "fasta", as.character = TRUE, as.matrix=FALSE)
RPA2names <- names(RPA2)
for (i in 1:length(RPA2names)) {
  cat("\"", RPA2names[i], "\", \"\",\n", sep="")
  }

RPB2 <- read.dna(file="C:/AAA/Programming/GoteborgReal/Silene/RPB2.fas", format = "fasta", as.character = TRUE, as.matrix=FALSE)
RPB2names <- names(RPB2)
for (i in 1:length(RPB2names)) {
  cat("\"", RPB2names[i], "\", \"\",\n", sep="")
  }

RPD2a <- read.dna(file="C:/AAA/Programming/GoteborgReal/Silene/RPD2a.fas", format = "fasta", as.character = TRUE, as.matrix=FALSE)
RPD2anames <- names(RPD2a)
for (i in 1:length(RPD2anames)) {
  cat("\"", RPD2anames[i], "\", \"\",\n", sep="")
  }

RPD2b <- read.dna(file="C:/AAA/Programming/GoteborgReal/Silene/RPD2b.fas", format = "fasta", as.character = TRUE, as.matrix=FALSE)
RPD2bnames <- names(RPD2b)
for (i in 1:length(RPD2bnames)) {
  cat("\"", RPD2bnames[i], "\", \"\",\n", sep="")
  }


RPA2.renames <- matrix(c(
"S.ajanensis_6362 | RPA2", "Salsv_a6362_A",
"S.villosula_7725 | RPA2", "Salsv_v7725_A",
"S._involucrata_7701_AJ634160", "Si_7701_B",
"S.involucrata_7608_2 | RPA2", "Si_7608_B",
"S.uralensis_6364 | RPA2", "Suw_u6364_A",
"S.uralensis_6432 | RPA2", "Suw_u6432_A",
"S.uralensis_7681 | RPA2", "Suw_u7681_A",
"S.violascens_12596 | RPA2", "Suw_w12596_A",
"S.uralensis_7023 | RPA2", "Suw_u7023_A",
"S._involucrata_7701_AJ634159", "Si_7701_A",
"S.involucrata_7608 | RPA2", "Si_7608_A",
"S.ajanensis_7441_2 | RPA2", "Salsv_a7441_A",
"S.linnaeana_7485_2 | RPA2", "Salsv_l7485_A",
"S.ajanensis_12534_2 | RPA2", "Salsv_a12534_A",
"S.samojedora_12338 | RPA2", "Salsv_s12338_A",
"S.ajanensis7049 | RPA2", "Salsv_a7049_A",
"S.linnaeana_12405 | RPA2", "Salsv_l12405_A",
"S.samojedora_12339 | RPA2", "Salsv_s12339_A",
"S.villosula_12211_2 | RPA2", "Salsv_v12211_A"), nrow=19, ncol=2, byrow=TRUE)

RPB2.renames <- matrix(c(
"S.involucrata_7363 | RPB2", "Si_7363_A",
"S.linnaeana_12405 | RPB22225", "Salsv_l12405_A",
"S.samojedora_12338 | RPB22225", "Salsv_s12338_A",
"S.samojedora_12339 | RPB22225", "Salsv_s12339_A",
"S.samojedora_12396 | RPB22225", "Salsv_s12396_A",
"S._ajanensis_7049_02134", "Salsv_a7049_A",
"S._involucrata_7701_AJ634189", "Si_7701_A",
"S.villosula_7725 | RPB22225", "Salsv_v7725_A",
"S.villosula_12392 | RPB22225", "Salsv_v12392_A",
"S._ajanensis_7441_AJ634075 | RPB2", "Salsv_a7441_A",
"S._ajanensis_6362_AJ634198 | RPB2", "Salsv_a6362_A",
"S.involucrata_2492_4 | RPB2", "Si_2492_A",
"S.involucrata_7608_2 | RPB2", "Si_7608_B",
"S.uralensis_7681 | RPB2", "Suw_u7681_A",
"S.uralensis_7614 | RPB2", "Suw_u7614_A",
"S.uralensis_6432 | RPB2", "Suw_u6432_A",
"S.uralensis_7023 | RPB2", "Suw_u7023_A",
"S._uralensis_7587_AJ634204", "Suw_u7587_A",
"S.involucrata_7608 | RPB2", "Si_7608_A",
"S._involucrata_2492_00269 | RPB2", "Si_2492_B"), nrow=20, ncol=2, byrow=TRUE)

RPD2a.renames <- matrix(c(
"S._uralensis_6364_00887", "Suw_u6364_A",
"S._uralensis_6432_01003", "Suw_u6432_A",
"S._uralensis_7023_00891", "Suw_u7023_A",
"S._uralensis_7587_AJ831197", "Suw_u7587_A",
"S._uralensis_7681_00811", "Suw_u7681_A",
"S._uralensis_14594_JF970688", "Suw_u14594_A",
"S._involucrata_7701_AJ831176", "Si_7701_A",
"S._involucrata_7608_AJ831777", "Si_7608_B",
"S._involucrata_7608_AJ831776", "Si_7608_A",
"S._involucrata_7701_AJ831177_|_RPD2a A new nucleotide sequence entered manually", "Si_7701_B",
"S._ajanensis_7441_AJ634137", "Salsv_a7441_A",
"S._ajanensis_7049_JF970668", "Salsv_a7049_A",
"S._ajanensis_6362_AJ831181", "Salsv_a6362_A",
"S._samojedora_12339_JF970665", "Salsv_s12339_A",
"S._samojedora_12396_JF970679", "Salsv_s12396_A",
"S._samojedora_12338_JF970667", "Salsv_s12338_A",
"S._linnaeana_12405_JF970669", "Salsv_l12405_A",
"S._villosula_12392_JF970670", "Salsv_v12392_A"), nrow=18, ncol=2, byrow=TRUE)

RPD2b.renames <- matrix(c(
"S._ajanensis_7049_JF970741 | RPD2b", "Salsv_a7049_A",
"S._ajanensis_6362_AJ831180 | RPD2b", "Salsv_a6362_A",
"S._ajanensis_7441_AJ634143 | RPD2b", "Salsv_a7441_A",
"S._involucrata_7363_00880_1 | RPD2b", "Si_7363_A",
"S._involucrata_7608_AJ831778 | RPD2b", "Si_7608_A",
"S._involucrata_7608_AJ831779 | RPD2b", "Si_7608_B",
"S._involucrata_7363_00938 | RPD2b", "Si_7363_B",
"S._involucrata_7701_AJ831178", "Si_7701_A",
"S._involucrata_7701_AJ831179", "Si_7701_B",
"S._linnaeana_7485_AJ831182Si_7701_B | RPD2b", "Salsv_l7485_A",
"S._villosula_12392_JF970744 | RPD2b", "Salsv_v12392_A",
"S._linnaeana_12405_JF970743 | RPD2b", "Salsv_l12405_A",
"S._villosula_12211_JF970742 | RPD2b", "Salsv_v12211_A",
"S._uralensis_7023_00879 | RPD2b", "Suw_u7023_A",
"S._uralensis_6364_00876 | RPD2b", "Suw_u6364_A",
"S._uralensis_7681_00781 | RPD2b", "Suw_u7681_A",
"S._uralensis_6432_01004 | RPD2b", "Suw_u6432_A",
"S._uralensis_7587_AJ831195", "Suw_u7587_A",
"S._uralensis_14594_JF970762 | RPD2b", "Suw_u14594_A",
"S._samojedora_12396_JF970750 | RPD2b", "Salsv_s12396_A",
"S._samojedora_12338_JF970740 | RPD2b", "Salsv_s12338_A"), nrow=21, ncol=2, byrow=TRUE)


#RPA2.renames
#RPB2.renames
#RPD2a.renames
#RPD2b.renames

names(RPA2) <- RPA2.renames[,2]
names(RPB2) <- RPB2.renames[,2]
names(RPD2a) <- RPD2a.renames[,2]
names(RPD2b) <- RPD2b.renames[,2]

write.nexus.data(RPA2, file="C:/AAA/Programming/GoteborgReal/Silene/RPA2.nex", format = "dna", datablock=FALSE, interleaved=FALSE)
write.nexus.data(RPB2, file="C:/AAA/Programming/GoteborgReal/Silene/RPB2.nex", format = "dna", datablock=FALSE, interleaved=FALSE)
write.nexus.data(RPD2a, file="C:/AAA/Programming/GoteborgReal/Silene/RPD2a.nex", format = "dna", datablock=FALSE, interleaved=FALSE)
write.nexus.data(RPD2b, file="C:/AAA/Programming/GoteborgReal/Silene/RPD2b.nex", format = "dna", datablock=FALSE, interleaved=FALSE)




